import request from '@/utils/request'

// 查询漏点巡检列表
export function listPointPatrol(query) {
  return request({
    url: '/asset/pointPatrol/list',
    method: 'get',
    params: query
  })
}

// 查询漏点巡检详细
export function getPointPatrol(id) {
  return request({
    url: '/asset/pointPatrol/' + id,
    method: 'get'
  })
}

// 新增漏点巡检
export function addPointPatrol(data) {
  return request({
    url: '/asset/pointPatrol',
    method: 'post',
    data: data
  })
}

// 修改漏点巡检
export function updatePointPatrol(data) {
  return request({
    url: '/asset/pointPatrol',
    method: 'put',
    data: data
  })
}

// 删除漏点巡检
export function delPointPatrol(id) {
  return request({
    url: '/asset/pointPatrol/' + id,
    method: 'delete'
  })
}
